Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Invocations WebSocket

Establish a WebSocket connection to a hosted agent

GET /agents/{agent_name}/endpoint/protocols/invocations_ws

Establishes a WebSocket connection to a hosted agent. The target agent is a path segment and the project is taken from the endpoint, mirroring the HTTP /invocations route. The service resolves (or creates) a session, resolves the agent version, then relays text and binary frames bidirectionally between the client and the agent (1 MB maximum frame size).

The client must send an HTTP GET with Upgrade: websocket headers.

Parameter jalur

agent_name string diperlukan

The name of the hosted agent.

Parameter kueri

agent_session_id string

Optional session/conversation ID. Pass the same value on a subsequent connection to reattach to an existing session. If not provided, the service auto-generates one.

api-version string diperlukan

The API version to use for this operation.

Respons

The request has succeeded.

Header

x-agent-session-id string diperlukan

Session ID for this WebSocket connection. Returns the provided session ID or an auto-generated one if not provided in the request.

Isi

Content-Type: application/json

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

GET /agents/{agent_name}/endpoint/protocols/invocations_ws HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026